> ## Documentation Index
> Fetch the complete documentation index at: https://docs.originsai.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Call Details By Id



## OpenAPI

````yaml https://originshq.b-cdn.net/openapi_sayna.json get /api/call_details_by_id/{call_id}
openapi: 3.1.0
info:
  title: core
  version: 0.1.0
servers: []
security: []
paths:
  /api/call_details_by_id/{call_id}:
    get:
      tags:
        - call_details
      summary: Get Call Details By Id
      operationId: get_call_details_by_id_api_call_details_by_id__call_id__get
      parameters:
        - name: call_id
          in: path
          required: true
          schema:
            type: string
            title: Call Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CallDetailSimpleResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CallDetailSimpleResponse:
      properties:
        id:
          type: integer
          title: Id
        call_id:
          type: string
          format: uuid
          title: Call Id
        agent_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Name
        audio_config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Audio Config
        stt_data:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Stt Data
        llm_data:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Llm Data
        tts_data:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Tts Data
        call_transcription:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Call Transcription
        call_insights:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Call Insights
        call_recording_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Call Recording Url
        from_number:
          anyOf:
            - type: string
            - type: 'null'
          title: From Number
        to_number:
          anyOf:
            - type: string
            - type: 'null'
          title: To Number
        recording_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Recording Id
        call_context:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Call Context
        call_status:
          $ref: '#/components/schemas/CallStatusOptions'
          default: QUEUED
        call_duration:
          anyOf:
            - type: number
            - type: 'null'
          title: Call Duration
        billed_duration:
          anyOf:
            - type: number
            - type: 'null'
          title: Billed Duration
        initiation_time:
          anyOf:
            - type: string
            - type: 'null'
          title: Initiation Time
        answer_time:
          anyOf:
            - type: string
            - type: 'null'
          title: Answer Time
        end_time:
          anyOf:
            - type: string
            - type: 'null'
          title: End Time
        hangup_cause_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Hangup Cause Name
        hangup_source:
          anyOf:
            - type: string
            - type: 'null'
          title: Hangup Source
        call_direction:
          $ref: '#/components/schemas/CallDirectionOptions'
          default: inbound
        task_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Task Id
        call_triggered:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Call Triggered
        call_quality:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Call Quality
        call_timeline:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Call Timeline
        call_summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Call Summary
        call_extraction:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Call Extraction
        analytics_status:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Analytics Status
        tool_data:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Tool Data
        token_usage:
          anyOf:
            - $ref: '#/components/schemas/TokenUsageSummary'
            - type: 'null'
      type: object
      required:
        - id
        - call_id
      title: CallDetailSimpleResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CallStatusOptions:
      type: string
      enum:
        - ANSWERED
        - FAILED
        - INITIATED
        - QUEUED
      title: CallStatusOptions
    CallDirectionOptions:
      type: string
      enum:
        - inbound
        - outbound
      title: CallDirectionOptions
    TokenUsageSummary:
      properties:
        stt:
          $ref: '#/components/schemas/STTUsageSummary'
          default:
            total_audio_seconds: 0
            total_audio_tokens: 0
        llm:
          $ref: '#/components/schemas/LLMUsageSummary'
          default:
            prompt_tokens: 0
            completion_tokens: 0
            total_tokens: 0
        tts:
          $ref: '#/components/schemas/TTSUsageSummary'
          default:
            total_characters: 0
            total_tts_tokens: 0
      type: object
      title: TokenUsageSummary
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    STTUsageSummary:
      properties:
        provider:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
        total_audio_seconds:
          type: number
          title: Total Audio Seconds
          default: 0
        total_audio_tokens:
          type: integer
          title: Total Audio Tokens
          default: 0
      type: object
      title: STTUsageSummary
    LLMUsageSummary:
      properties:
        provider:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
        prompt_tokens:
          type: integer
          title: Prompt Tokens
          default: 0
        completion_tokens:
          type: integer
          title: Completion Tokens
          default: 0
        total_tokens:
          type: integer
          title: Total Tokens
          default: 0
      type: object
      title: LLMUsageSummary
    TTSUsageSummary:
      properties:
        provider:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
        voice_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Voice Id
        total_characters:
          type: integer
          title: Total Characters
          default: 0
        total_tts_tokens:
          type: integer
          title: Total Tts Tokens
          default: 0
      type: object
      title: TTSUsageSummary

````